//  Copyright (C) 2006-2009 Q-Mentum.
//  See the file license.txt for limitations on usage of this code.

//  For more information about Q-Mentum, visit http://www.q-mentum.com

#ifndef BYTE_SIZE_H__QM
#define BYTE_SIZE_H__QM

#include <string>

class ByteSize
{
public:
	void SetContent(const std::string &str);

	unsigned int operator()() const;
private:
	unsigned int nrBytes;
};

class ByteSizeException
{
	const std::string m_cause;
public:
	ByteSizeException(const std::string &cause):
		m_cause(cause)
	{}

	const std::string& GetCause() const
	{
		return m_cause;
	}
};

#endif // #ifndef BYTE_SIZE_H__QM
