//  Copyright (C) 2006-2009 Q-Mentum.
//  See the file license.txt for limitations on usage of this code.

//  For more information about Q-Mentum, visit http://www.q-mentum.com

#ifndef TEST_ENCRYPTION_H
#define TEST_ENCRYPTION_H

#include "uquonitest/Test.hpp"
#include "Encryption.hpp"

// This is a demonstration of abstract tests.
// Here is the declaration of the abstract testgroup.

// See also the files TestEncryption.cpp, TestXOREncryption.cpp
// and TestJuliusCaesarEncryption.cpp.

uqtABSTRACT_TEST_GROUP(Encryption)
{
	class uqtFixture
	{
	public:
		uqtFixture(): encryption(0)
		{}

		Encryption *encryption;

		void EncryptDecryptABC();
		void EncryptDecrypt(std::string str);
	};
}

#endif // #ifndef TEST_ENCRYPTION_H
