#include <UnitTest++.h>

TEST(UTPP_Pass)
{
	CHECK(true);
}

class FixtureForUnitTestPP
{
public:
	FixtureForUnitTestPP(): a(0)
	{}

	int a;
};

TEST_FIXTURE(FixtureForUnitTestPP, UTPP_TestWithFixture)
{
	CHECK(a==0);
}

SUITE(UTPP_Suite)
{
	TEST(UTPP_Pass)
	{
		CHECK(true);
	}
}

TEST(UTPP_CheckEqual_Pass)
{
	CHECK_EQUAL(1,1);
}

TEST(UTPP_CheckClose_Pass)
{
	CHECK_CLOSE(10.0, 10.05, 0.1);
}

TEST(UTPP_CheckArray1D_Pass)
{
	int arr1[] = { 1, 3 };
	int arr2[] = { 1, 3 };
	CHECK_ARRAY_EQUAL(arr1, arr2, 2);
}

TEST(UTPP_CheckArray1DClose_Pass)
{
	double arr1[] = { 1.0, 3.2 };
	double arr2[] = { 1.0, 3.3 };
	CHECK_ARRAY_CLOSE(arr1, arr2, 2, 0.2);
}

TEST(UTPP_CheckArray2DClose_Pass)
{
	double arr1[][3] = { { 1.0, 3.2, 4.75 }, { 3.0, 4.9,  5.6 }  };
	double arr2[][3] = { { 1.0, 3.2, 4.6  }, { 3.0, 4.71, 5.5 } };
	CHECK_ARRAY2D_CLOSE(arr1, arr2, 2, 3, 0.2);
}

// Tests for CHECK_THROW
TEST(UTPP_CheckThrow_Pass)
{
	CHECK_THROW(throw 1, int);
}


////////////////////////////////////////////////////////////
// Tests for max time:

TEST(UTPP_InTime)
{
	UNITTEST_TIME_CONSTRAINT(100);
}
