//  Copyright (C) 2006-2009 Q-Mentum.
//  See the file license.txt for limitations on usage of this code.

//  For more information about Q-Mentum, visit http://www.q-mentum.com

#include "JuliusCaesarEncryption.hpp"

std::string JuliusCaesarEncryption::Encrypt(const std::string &str)
{
	std::string encrypted(str.size(), ' ');

	for (size_t i=0; i<str.size(); ++i)
		encrypted[i] = str[i]+3;

	return encrypted;
}

std::string JuliusCaesarEncryption::Decrypt(const std::string &str)
{
	std::string encrypted(str.size(), ' ');

	for (size_t i=0; i<str.size(); ++i)
		encrypted[i] = str[i]-3;

	return encrypted;
}




