//  Copyright (C) 2006-2009 Q-Mentum.
//  See the file license.txt for limitations on usage of this code.

//  For more information about Q-Mentum, visit http://www.q-mentum.com

#ifndef JULIUSCAESAR_ENCRYPTION_H
#define JULIUSCAESAR_ENCRYPTION_H

#include "Encryption.hpp"

// This encryption technique is ouqtDated, but is
// used here for demonstration purposes.

class JuliusCaesarEncryption: public Encryption
{
	const std::string key;

public:
	JuliusCaesarEncryption()
	{}

	virtual std::string Encrypt(const std::string &str);
	virtual std::string Decrypt(const std::string &str);
};


#endif // #ifndef JULIUSCAESAR_ENCRYPTION_H





