//  Copyright (C) 2006-2009 Q-Mentum.
//  See the file license.txt for limitations on usage of this code.

//  For more information about Q-Mentum, visit http://www.q-mentum.com

#include "UseInterface.hpp"
#include "Interface.hpp"

UseInterface::UseInterface(Interface *p):
	m_interface(p),
	m_n(0)
{
}

void UseInterface::CallFoo()
{
	m_interface->Foo(m_n++);
}

void UseInterface::CallFoo_CatchException()
{
	try
	{
		m_interface->Foo(m_n++);
	}
	catch (Exception &)
	{
	}
}

int UseInterface::GetSumOf3CallsToBar() const
{
	int sum = m_interface->Bar()+m_interface->Bar()+m_interface->Bar();
	return sum;
}
