//  Copyright (C) 2006-2009 Q-Mentum.
//  See the file license.txt for limitations on usage of this code.

//  For more information about Q-Mentum, visit http://www.q-mentum.com

#ifndef XOR_ENCRYPTION_H
#define XOR_ENCRYPTION_H

#include "Encryption.hpp"

class XOREncryption: public Encryption
{
	const std::string key;

public:
	XOREncryption(const std::string &key_): key(key_)
	{}

	virtual std::string Encrypt(const std::string &str);
	virtual std::string Decrypt(const std::string &str);
};


#endif // #ifndef XOR_ENCRYPTION_H




